import { AxiosInstance } from 'axios';
import { CreateMessageTemplateRequest, CreateMessageTemplateResponse, DeleteMessageTemplateResponse, GetMessageTemplatesResponse } from '../types';
export interface WebhookConfig {
    url: string;
    verify_token?: string;
}
export declare class TemplateMessagesClient {
    private client;
    private onError?;
    constructor(client: AxiosInstance, onError?: (error: unknown) => void);
    /**
     * Get message templates
     * @param config Webhook configuration with URL and optional verify token.
     */
    getMessageTemplates(): Promise<GetMessageTemplatesResponse>;
    addMessageTemplate(data: CreateMessageTemplateRequest): Promise<CreateMessageTemplateResponse>;
    deleteMessageTemplate(name: string): Promise<DeleteMessageTemplateResponse>;
}
