"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WhatsappCloudApiClient = void 0;
const config_1 = require("../config");
const message_client_1 = require("./modules/message.client");
const contact_client_1 = require("./modules/contact.client");
const webhook_client_1 = require("./modules/webhook.client");
class WhatsappCloudApiClient {
    constructor(config) {
        const axiosInstance = (0, config_1.createAxiosInstance)(config.token, config.phoneNumberId, config.apiUrl);
        this.messages = new message_client_1.MessageClient(axiosInstance, config.onError);
        this.contacts = new contact_client_1.ContactClient(axiosInstance, config.onError);
        this.webhook = new webhook_client_1.WebhookClient(axiosInstance, config.onError);
    }
}
exports.WhatsappCloudApiClient = WhatsappCloudApiClient;
