"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAxiosInstance = void 0;
const axios_1 = __importDefault(require("axios"));
/**
 * Configuration for Axios client.
 */
const createAxiosInstance = (url, sessionId, sessionToken) => {
    if (!sessionToken) {
        console.error("TOKEN IS REQUIRED");
    }
    return axios_1.default.create({
        baseURL: `${url}/api/${sessionId}`,
        headers: {
            Authorization: `Bearer ${sessionToken}`,
            'Content-Type': 'application/json',
        },
    });
};
exports.createAxiosInstance = createAxiosInstance;
