"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstagramApiClient = void 0;
const config_1 = require("../config");
const instagram_message_client_1 = require("./modules/instagram-message.client");
const instagram_user_client_1 = require("./modules/instagram-user.client");
const instagram_post_1 = require("./modules/instagram-post");
const instagram_comment_1 = require("./modules/instagram-comment");
class InstagramApiClient {
    constructor(config) {
        const axiosInstance = (0, config_1.createAxiosInstance)(config.token, config.phoneNumberId, "https://graph.instagram.com/v21.0");
        const axiosInstanceFacebook = (0, config_1.createAxiosInstance)(config.token, config.phoneNumberId, "https://graph.instagram.com");
        this.messages = new instagram_message_client_1.InstagramMessageClient(axiosInstance, config);
        this.users = new instagram_user_client_1.InstagramUserClient(axiosInstanceFacebook, config);
        this.posts = new instagram_post_1.InstagramPostClient(axiosInstance, config);
        this.comments = new instagram_comment_1.InstagramCommentClient(axiosInstance, config);
    }
}
exports.InstagramApiClient = InstagramApiClient;
