import { AxiosInstance } from 'axios';
import { BaseClientConfig, MessageResponse } from '../types';
export interface ReplyButton {
    type: 'reply';
    reply: {
        id: string;
        title: string;
    };
}
export interface CtaUrlButton {
    type: 'cta_url';
    display_text: string;
    url: string;
}
export interface ButtonMessageOptions {
    to: string;
    body: string;
    footer?: string;
    header?: string;
    buttons: ReplyButton[];
}
export interface CtaMessageOptions {
    to: string;
    body: string;
    footer?: string;
    header?: string;
    button: CtaUrlButton;
}
export declare class InstagramMessageClient {
    private config;
    private client;
    private onError?;
    constructor(client: AxiosInstance, config: BaseClientConfig);
    /**
     * Sends a text message.
     */
    sendText(recipientId: string, message: string): Promise<MessageResponse>;
    /**
     * Sends a message with reply buttons.
     */
    sendButtonMessage(options: ButtonMessageOptions): Promise<MessageResponse>;
    /**
     * Sends a message with a CTA URL button.
     */
    sendCtaMessage(options: CtaMessageOptions): Promise<MessageResponse>;
    private handleError;
}
