"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstagramPostClient = void 0;
class InstagramPostClient {
    constructor(client, config) {
        this.config = config;
        this.client = client;
        this.onError = this.config.onError;
    }
    getDetails(postId) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const response = yield this.client.get(`/${postId}?fields=id,comments_count,like_count,media_type,media_url,permalink,timestamp&access_token=${this.config.token}`);
                return response.data;
            }
            catch (error) {
                this.handleError(error);
            }
        });
    }
    handleError(error) {
        if (this.onError) {
            this.onError(error);
        }
        else {
            console.error('Error:', error);
        }
    }
}
exports.InstagramPostClient = InstagramPostClient;
