"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthClient = void 0;
class AuthClient {
    constructor(client) {
        this.client = client;
    }
    generateToken({ secretKey }) {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield this.client.post(`/${secretKey}/generate-token`, { secretKey });
            return response.data;
        });
    }
    startSession({ webhook }) {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield this.client.post(`/start-session`, { webhook, waitQrCode: true });
            return response.data;
        });
    }
    sessionStatus() {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield this.client.get(`/status-session`);
            return response.data;
        });
    }
    getQrCode() {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield this.client.get(`/qrcode-session`);
            return response.data;
        });
    }
    closeSession() {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield this.client.post(`/close-session`);
            return response.data;
        });
    }
}
exports.AuthClient = AuthClient;
