import { AxiosInstance } from 'axios';
export type CustomerOrigin = "WHATSAPP" | "INSTAGRAM";
export interface CreateCustomerParams {
    name: string;
    cpf: string;
    phoneNumber: string;
    origin: CustomerOrigin;
}
export interface Customer {
    id: string;
    name: string;
    cpf: string;
    phoneNumber: string;
    origin: CustomerOrigin;
}
export declare class CustomerClient {
    private client;
    private onError?;
    constructor(client: AxiosInstance, onError?: (error: unknown) => void);
    create(params: CreateCustomerParams): Promise<Customer>;
}
