import { AxiosInstance } from 'axios';
import { MessageResponse } from '../types';
export interface SendMessageParams {
    phone: string;
    message: string;
    isGroup?: boolean;
}
export interface SendZapMessageParams {
    to: string;
    message: {
        type: MessageType;
        content: string;
    };
}
export type MessageType = "text";
export interface Message {
    type: MessageType;
    content: string;
}
export declare class MessageClient {
    private client;
    constructor(client: AxiosInstance);
    /**
     * Sends a text message to a customer.
     */
    sendMessage({ phone, message, isGroup }: SendMessageParams): Promise<MessageResponse>;
}
