"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageClient = void 0;
class MessageClient {
    constructor(client) {
        this.client = client;
    }
    /**
     * Sends a text message to a customer.
     */
    sendMessage({ phone, message, isGroup = false }) {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield this.client.post('/send-message', { phone, message, isGroup });
            return response.data;
        });
    }
}
exports.MessageClient = MessageClient;
