import { AxiosInstance } from 'axios';
export interface WebhookConfig {
    url: string;
    verify_token?: string;
}
export declare class WebhookClient {
    private client;
    private onError?;
    constructor(client: AxiosInstance, onError?: (error: unknown) => void);
    /**
     * Sets up a webhook URL.
     * @param config Webhook configuration with URL and optional verify token.
     */
    setWebhook(config: WebhookConfig): Promise<void>;
    /**
     * Retrieves the current webhook configuration.
     */
    getWebhook(): Promise<{
        url: string;
        verify_token: string;
    }>;
    /**
     * Deletes the current webhook configuration.
     */
    deleteWebhook(): Promise<void>;
}
