"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VendriaApiClient = void 0;
const config_1 = require("./config");
const message_client_1 = require("./modules/message.client");
const customer_client_1 = require("./modules/customer.client");
class VendriaApiClient {
    constructor(config) {
        const axiosInstance = (0, config_1.createAxiosInstance)(config.token);
        this.messages = new message_client_1.MessageClient(axiosInstance, config.onError);
        this.customers = new customer_client_1.CustomerClient(axiosInstance, config.onError);
    }
}
exports.VendriaApiClient = VendriaApiClient;
