"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WppConnectApiClient = void 0;
const config_1 = require("./config");
const message_client_1 = require("./modules/message.client");
class WppConnectApiClient {
    constructor(config) {
        this.config = config;
        const axiosInstance = (0, config_1.createAxiosInstance)(config.url, config.sessionId, config.sessionToken);
        this.messages = new message_client_1.MessageClient(axiosInstance);
    }
    getInstance(sessionId, sessionToken) {
        return new WppConnectApiClient(Object.assign(Object.assign({}, this.config), { sessionId,
            sessionToken }));
    }
}
exports.WppConnectApiClient = WppConnectApiClient;
