import axios, { AxiosInstance } from 'axios';

/**
 * Configuration for Axios client.
 */
export const createAxiosInstance = (url: string, sessionId: string, sessionToken: string): AxiosInstance => {
    if (!sessionToken) {
        console.error("TOKEN IS REQUIRED");
    }

    return axios.create({
        baseURL: `${url}/api/${sessionId}`,
        headers: {
            Authorization: `Bearer ${sessionToken}`,
            'Content-Type': 'application/json',
        },
    });
};
