import { AxiosInstance } from 'axios';
import { MessageResponse } from '../types';

export interface SendMessageParams {
    phone: string;
    message: string;
    isGroup?: boolean;
}
export interface SendZapMessageParams {
    to: string
    message: {
        type: MessageType
        content: string
    }
}

export type MessageType = "text"

export interface Message {
    type: MessageType;
    content: string;
}

export class MessageClient {
    private client: AxiosInstance;

    constructor(client: AxiosInstance) {
        this.client = client;
    }

    /**
     * Sends a text message to a customer.
     */
    async sendMessage({ phone, message, isGroup = false }: SendMessageParams): Promise<MessageResponse> {
        const response = await this.client.post<MessageResponse>('/send-message', { phone, message, isGroup });
        return response.data;
    }
}