export interface BaseClientConfig {
    url: string;
    sessionId: string;
    sessionToken: string;
}

export type Sender = {
    id: string;
    name: string;
    shortName: string;
    isBusiness: boolean;
}

export type Message = {
    id: string;
    viewed: boolean;
    body: string;
    type: string;
    chatId: string;
    sender: Sender;
    timestamp: number;
    content: string;
    isGroupMsg: boolean;
}

export interface MessageResponse {
    status: string;
    response: Message[]
}

export interface MediaResponse {
    id: string;
    url: string;
}

export interface UploadMediaResponse {
    id: string;
}

export type Session = {
    status: "QRCODE" | "CONNECTED" | string;
    qrcode: string;
}
