import { createAxiosInstance } from './config';
import { BaseClientConfig } from './types';
import { MessageClient } from './modules/message.client';

export class WppConnectApiClient {
    public messages: MessageClient;

    constructor(private config: BaseClientConfig) {
        const axiosInstance = createAxiosInstance(config.url, config.sessionId, config.sessionToken);

        this.messages = new MessageClient(axiosInstance);
    }

    getInstance(sessionId: string, sessionToken: string): WppConnectApiClient {
        return new WppConnectApiClient({
            ...this.config,
            sessionId,
            sessionToken
        });
    }
}
